
#include <Eigen/Dense>
#include "struct.h"
using namespace Eigen;


double h_BS;
double inter_site_distance;
double secter_to_ue_min_distance;
double indoor_ue_speed;
double outdoor_ue_pedestrian_speed;
double outdoor_ue_car_speed;
double micro_min_inter_site_distance;
double micro_cell_radius;

double bs_noise_figure;
double ue_noise_figure;
double thermal_nosie_level;
double simulation_bandwidth;

double high_loss_type_portion;
double indoor_ue_portion;
double outdoor_pedestrian_portion;
int num_floor;
int num_propagation_condition;

double L_glass;
double L_IRRglass;
double L_concrete;
double L_wood;

double Low_loss_model_PL;
double High_loss_model_PL;
double Low_loss_model_std;
double High_loss_model_std;

double car_penet_loss_mean;
double car_penet_loss_std;

double h;
double W;

ANTENNA bs_antenna;
ANTENNA ue_antenna;

ANALOG_BEAM bs_analog_beam;
ANALOG_BEAM ue_analog_beam;
